import type { RenderingPlugin, RenderingService } from '@antv/g-lite';
import { CanvasConfig, ContextService, RenderingContext } from '@antv/g-lite';
export declare class HTMLRenderingPlugin implements RenderingPlugin {
    private contextService;
    private renderingContext;
    private canvasConfig;
    static tag: string;
    constructor(contextService: ContextService<CanvasRenderingContext2D>, renderingContext: RenderingContext, canvasConfig: CanvasConfig);
    private $camera;
    apply(renderingService: RenderingService): void;
    private getId;
    private getOrCreateEl;
    private updateAttribute;
}
//# sourceMappingURL=HTMLRenderingPlugin.d.ts.map